Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 680444 - net-misc/s3cmd-2.0.2 should depend on || ( sys-apps/file[python] dev-python/python-magic )
Summary: net-misc/s3cmd-2.0.2 should depend on || ( sys-apps/file[python] dev-python/p...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Igor Testen
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2019-03-15 10:46 UTC by Dennis Schridde
Modified: 2019-03-15 14:55 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2019-03-15 10:46:57 UTC
s3cmd appears to work fine with the libmagic wrapper that sys-apps/file[python] ships.

Patch to ebuild: https://github.com/devurandom/gentoo-overlay/commit/34efa53c895cc3a7a6107eb762f5ad2abbcd7a21
Comment 1 Dennis Schridde 2019-03-15 10:50:33 UTC
P.S. Reason why I looked into this: File collision between file[python] and python-magic.
Comment 2 Jeroen Roovers gentoo-dev 2019-03-15 10:52:00 UTC
(In reply to Dennis Schridde from comment #1)
> P.S. Reason why I looked into this: File collision between file[python] and
> python-magic.

That warrants a separate bug report.
Comment 3 Dennis Schridde 2019-03-15 14:55:37 UTC
(In reply to Jeroen Roovers from comment #2)
> (In reply to Dennis Schridde from comment #1)
> > P.S. Reason why I looked into this: File collision between file[python] and
> > python-magic.
> 
> That warrants a separate bug report.

Sorry, I meant to say: Blockers betweeen ...  File collision was just my assumption why they might be set to block each other.